Uploaded image for project: 'Sync 2'
  1. Sync 2
  2. SYNCT-293

Atomfeed - support of OpenMRS 1.x

    Details

    • Type: Task
    • Status: Closed
    • Priority: Must
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Milestone 4
    • Labels:
    • Complexity:
      Undetermined
    • Sprint:
      Sync 2.0 Sprint 13, Sync 2.0 Sprint 14, Sync 2.0 Sprint 15

      Description

      Add possibility to use the Atomfeed module with Openmrs 1.9.10, 1.11.x and 2.0.5 (currently supported). In addition currently the module is based on the Java 8 but the OpenMRS 1.9.10 required Java 7.

      The Atomfeed module has the dependency on the org.ict4h.openmrs.openmrs-atomfeed-common library which version depending on the version of OpenMRS (2.5.5 for Openmrs 2.x, 2.5.4 for OpenMRS 1.x). To chose the correct version of this library the maven profiles could be considered.

      The Atomfeed module has a dependency on the uicommon module which should be deleted (https://issues.openmrs.org/browse/SYNCT-263).

      Acceptance criteria:

      • support of OpenMRS versions: 1.9.10, 1.11.x, 2.0.5
      • the Java 7 used

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                alalo Arkadiusz Lalo
                Reporter:
                alalo Arkadiusz Lalo
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 1 day Original Estimate - 1 day
                  1d
                  Remaining:
                  Time Spent - 1 day, 7 hours Remaining Estimate - 1 hour
                  1h
                  Logged:
                  Time Spent - 1 day, 7 hours Remaining Estimate - 1 hour
                  1d 7h